search menu icon-carat-right cmu-wordmark

CERT Coordination Center

iPlanet Web Server Enterprise Edition and Netscape Enterprise Server malformed Web Publisher command causes denial-of-service

Vulnerability Note VU#191763

Original Release Date: 2002-01-08 | Last Revised: 2002-01-09

Overview

A vulnerability exists in iPlanet Web Server, Enterprise Edition and Netscape Enterprise Server in which a malformed Web Publisher command can crash the web server process. This vulnerability only affects Windows NT based servers.

Description

ProCheckup has reported a vulnerability in iPlanet Web Server, Enterprise Edition and Netscape Enterprise Server running on Windows NT based operating systems. The iPlanet and NES servers provide a feature called Web Publisher. According to NES documentation:

Netscape Enterprise Server 4.0 clients can use Web Publisher to collaborate on projects by directly accessing, editing, and managing file on remote servers. Web Publisher provides sophisticated features for server clients, such as file management, editing and publishing, and access control.
If Web Publishing is enabled, a malformed ?wp-html-rend command can crash the web server process. To determine if Web Publisher is enabled, enter the following URL:

http://<name of server>/publisher
If Web Publisher is enabled, a page should appear. Note that this vulnerability does not affect Unix systems.

Impact

An unauthenticated remote attacker can cause a denial-of-service condition by sending malformed ?wp-html-rend commands to a vulnerable server.

Solution

Disable Web Publishing
iPlanet recommends disabling Web Publisher and Directory Indexing on external servers:

http://developer.netscape.com/docs/manuals/enterprise/40/ag/esapuirf.htm#1005372

Another method for disabling Web Publisher is to use a Netscape Server Application Programming Interface (NSAPI) Server Application Function (SAF):

http://knowledgebase.iplanet.com/ikb/kb/articles/7761.html

Filter HTTP TrafficIt may be possible to use an application layer filter to detect and block HTTP requests containing the ?wp-html-rend command.

Vendor Information

191763
 
Affected   Unknown   Unaffected

Netscape

Notified:  August 22, 2001 Updated:  January 08, 2002

Status

  Vulnerable

Vendor Statement

Netscape Enterprise Server 3.x and iPlanet Web Server 4.x running on Windows NT based operating systems with Web Publisher enabled are vulnerable.

Vendor Information

The vendor has not provided us with any further information regarding this vulnerability.

Addendum

The CERT/CC has no additional comments at this time.

If you have feedback, comments, or additional information about this vulnerability, please send us email.

iPlanet

Notified:  August 22, 2001 Updated:  January 08, 2002

Status

  Vulnerable

Vendor Statement

Netscape Enterprise Server 3.x and iPlanet Web Server 4.x running on Windows NT based operating systems with Web Publisher enabled are vulnerable.

Vendor Information

The vendor has not provided us with any further information regarding this vulnerability.

Addendum

The CERT/CC has no additional comments at this time.

If you have feedback, comments, or additional information about this vulnerability, please send us email.


CVSS Metrics

Group Score Vector
Base N/A N/A
Temporal N/A N/A
Environmental N/A

References

Credit

The CERT Coordination Center thanks ProCheckup for information used in this document.

This document was written by Art Manion.

Other Information

CVE IDs: None
Severity Metric: 4.50
Date Public: 2002-01-08
Date First Published: 2002-01-08
Date Last Updated: 2002-01-09 19:25 UTC
Document Revision: 21

Sponsored by the Department of Homeland Security Office of Cybersecurity and Communications.